#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 semirings
version:              0.6
visibility:           public
id:                   semirings-0.6-KTOCJaY2E9PJEhoyvJklgS
key:                  semirings-0.6-KTOCJaY2E9PJEhoyvJklgS
license:              BSD-3-Clause
copyright:            Copyright (C) 2018 chessai
maintainer:           chessai <chessai1996@gmail.com>
author:               chessai
stability:            provisional
homepage:             http://github.com/chessai/semirings
synopsis:             two monoids as one, in holy haskimony
description:
    Haskellers are usually familiar with monoids and semigroups. A monoid has an appending operation `<>` (or `mappend`),
    and an identity element, `mempty`. A semigroup has an appending `<>` operation, but does not require a `mempty` element.

    A Semiring has two appending operations, `plus` and `times`, and two respective identity elements, `zero` and `one`.

    More formally, a Semiring R is a set equipped with two binary relations `+` and `*`, such that:

    (R,+) is a commutative monoid with identity element 0,

    (R,*) is a monoid with identity element 1,

    (*) left and right distributes over addition, and

    multiplication by '\''0'\'' annihilates R.

category:             Algebra, Data, Data Structures, Math, Maths, Mathematics
abi:                  5761d5176dd95bf57f4570432681bb2b
exposed:              True
exposed-modules:
    Data.Euclidean Data.Field Data.Semiring Data.Semiring.Generic
    Data.Semiring.Tropical Data.Star

import-dirs:          /usr/lib/ghc-9.4.8/site-local/semirings-0.6
library-dirs:         /usr/lib/ghc-9.4.8/site-local/semirings-0.6
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/semirings-0.6
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-semirings
hs-libraries:         HSsemirings-0.6-KTOCJaY2E9PJEhoyvJklgS
depends:
    base-4.17.2.1 base-compat-batteries-0.12.3-C5jngX22QEvHWFs7vjiyaK
    containers-0.6.7 hashable-1.4.4.0-HA5jWeGkLE053htWZjUgjX
    unordered-containers-0.2.20-Jl6TkouWI2i1D1jczNV0uv

haddock-interfaces:   /usr/share/doc/haskell-semirings/html/semirings.haddock
haddock-html:         /usr/share/doc/haskell-semirings/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

